> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegisintent.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Cross-Chain Bridge

> Perform cross-chain stablecoin bridging via Circle CCTP with gas relay assistance.

Perform cross-chain stablecoin bridging via Circle's Cross-Chain Transfer Protocol (CCTP) with gas relayer assistance.

This endpoint executes **asynchronously** and returns a `202 Accepted` response immediately. The bridge transfer continues processing in the background. Use the returned `auditId` to poll `GET /v1/actions/status/:auditId` for the final result.

Request body fields for this route are `amount`, `fromChain`, `toChain`, and optional `recipient`.


## OpenAPI

````yaml POST /v1/actions/bridge
openapi: 3.1.0
info:
  title: Aegis Secure API
  description: >-
    Zero-trust API for Developer-Controlled Wallets (DCW) and programmatic
    Policy Engine controls.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.aegisintent.xyz
    description: Production API Server
security: []
paths:
  /v1/actions/bridge:
    post:
      tags:
        - Actions API
      summary: Execute Cross-Chain Bridge
      description: >-
        Perform cross-chain stablecoin bridging via Circle CCTP with gas relay
        assistance.
      parameters:
        - name: X-Aegis-Email
          in: header
          required: true
          schema:
            type: string
          description: Agent email address
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
          description: Unique UUID v4 for idempotency
        - name: X-Aegis-Nonce
          in: header
          required: true
          schema:
            type: integer
          description: Current agent action nonce
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - fromChain
                - toChain
              properties:
                amount:
                  type: string
                fromChain:
                  type: string
                  description: Source chain identifier
                toChain:
                  type: string
                  description: Destination chain identifier
                recipient:
                  type: string
                  description: >-
                    Optional recipient EVM address. Defaults to the agent
                    wallet.
      responses:
        '202':
          description: Bridge transfer accepted and processing in background
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  result:
                    type: object
                    properties:
                      state:
                        type: string
                        example: pending
                      message:
                        type: string
                      auditId:
                        type: string
                        description: >-
                          Use this ID to poll GET /v1/actions/status/:auditId
                          for completion
      security:
        - BearerAuth: []
        - AegisEmail: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Provide raw API session token issued by `/v1/connect/complete`
    AegisEmail:
      type: apiKey
      in: header
      name: X-Aegis-Email
      description: Dual-header token holder identity confirmation

````